Index: build.gradle
===================================================================
--- build.gradle	(revision 1620)
+++ build.gradle	(working copy)
@@ -589,6 +589,7 @@
 }
 integTest.doFirst {
     ant {
+        delete { fileset(dir:"$integTestDistDir/lib", includes:"$archivesBaseName-*.jar") }
         copy(todir: integTestDistDir) {
             fileset(dir: explodedDistDir )
         }
Index: src/test/groovy/org/gradle/integtests/SamplesJavaMultiProjectIntegrationTest.groovy
===================================================================
--- src/test/groovy/org/gradle/integtests/SamplesJavaMultiProjectIntegrationTest.groovy	(revision 1620)
+++ src/test/groovy/org/gradle/integtests/SamplesJavaMultiProjectIntegrationTest.groovy	(working copy)
@@ -35,7 +35,7 @@
 @RunWith(DistributionIntegrationTestRunner.class)
 class SamplesJavaMultiProjectIntegrationTest {
 
-    static final String JAVA_PROJECT_NAME = 'javaproject'
+    static final String JAVA_PROJECT_NAME = 'java/multiproject'
     static final String SHARED_NAME = 'shared'
     static final String API_NAME = 'api'
     static final String WEBAPP_NAME = 'webservice'
@@ -52,7 +52,7 @@
     @Before
     void setUp() {
         javaprojectDir = new File(dist.samplesDir, 'java/multiproject')
-        projects = [SHARED_NAME, API_NAME, WEBAPP_NAME, SERVICES_NAME].collect {"JAVA_PROJECT_NAME/$it"} + JAVA_PROJECT_NAME
+        projects = [SHARED_NAME, API_NAME, WEBAPP_PATH].collect {"$JAVA_PROJECT_NAME/$it"} + JAVA_PROJECT_NAME
         deleteBuildDir(projects)
     }
 
@@ -67,6 +67,7 @@
 
     @Test
     public void multiProjectjavaProjectSample() {
+        println "Starting multiProjectjavaProjectSample"
         String packagePrefix = 'build/classes/org/gradle'
         String testPackagePrefix = 'build/test-classes/org/gradle'
 
@@ -99,6 +100,7 @@
 
         // Check dist zip exists
         assertExists(javaprojectDir, API_NAME, "build/distributions/$API_NAME-1.0.zip".toString())
+        println "Ending multiProjectjavaProjectSample"
     }
 
     @Test
